function init()
	gun.name = "Thrower_circle"
	gun.fireDelay = 15
	gun.shotrange = 205
	gun.shotspeed = 550
	gun.shotdamage = .4
	gun.shotknockback = 500
	
	gun.shotlayer = 3
	--gun.firecost = .025
	
	--gun.fixed = 4--forward
	
	return 0
end


function update()
	return 0
end


function fire()
	rad = 2
	spread = 180
	for i = -rad, rad-1 do
		gun.addShot("explode5.png", gun.firex, gun.firey, gun.firetheta)
		shot.ignorePhysics = 1	--so all explosion pieces don't get sucked into dodongo
		shot.movrot = gun.owner.rot + i*(spread/rad) + math.random(-8,8)
		shot.scale = 2-- + math.random(-1.5, .5)
		shot.alpha = .8-- + math.random(-.15, .15)
		--shot.spin = math.random(-2.5, 2.5)
		--shot.dist = 1 + math.random(-.1, .1)
		--shot.shade = math.random(0, 50)
	end

	return 0
end

function shot_update()

	return 0
end